List knowledgebase documents
const url = 'https://app.prefactorai.com/api/v1/knowledgebase_document?knowledgebase_id=013xrzp12g3nqk8ns6jadrqmpgrjkeny';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.prefactorai.com/api/v1/knowledgebase_document?knowledgebase_id=013xrzp12g3nqk8ns6jadrqmpgrjkeny' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”A valid knowledgebase ID
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyKnowledgebase whose documents are listed
Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, path.
Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, path.
Zero-based offset of the first item to return.
Number of items to return per page (1-100).
Responses
Section titled “Responses”Success
object
Pagination information
object
The total number of items
The index of the last item in the page (one-based)
The index of the first item in the page (one-based)
The total number of pages
The index of the current page (one-based)
The offset of the first item in the page (zero-based)
The number of items per page
Null
Response status when the query succeeds
Documents in the knowledgebase visible to the caller
Summary of a knowledgebase document for list responses
object
SHA-256 of the content, as lowercase hex
MIME type of the document
A valid knowledgebase document ID
A valid knowledgebase ID
A valid knowledgebase document revision ID
Revision number of the latest document revision
Document path, relative, with segments separated by /
Size of the content in bytes
Whether this document is active or archived
Type of resource (always ‘knowledgebase_document’)
Example
{ "pagination": { "item_count": 200, "item_end": 100, "item_start": 91, "next_page_offset": 110, "page_count": 20, "page_index": 10, "page_offset": 90, "page_size": 10, "previous_page_offset": 80 }, "sorting": null, "status": "success", "summaries": [ { "content_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855", "content_type": "text/markdown", "id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "knowledgebase_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "latest_revision_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "latest_revision_number": 1, "path": "guides/setup.md", "size_bytes": 128, "status": "active", "type": "knowledgebase_document" } ]}default
Section titled “default”Error
object
object
object
object
Milliseconds until the client may retry.
object
A valid knowledgebase document revision ID
Example
{ "code": "bad_request", "status": "error"}